with Ada.Text_IO; use Ada.Text_IO;
with Interfaces;  use Interfaces;

procedure Bool_Test is

type Boolean_32 is new Boolean;
for Boolean_32'Size use 32;
for Boolean_32'Alignment use 4;



a5_Int : Integer_32 := 5;
a5 : Boolean_32;
for a5'Address use a5_Int'Address;

begin
   if Boolean_32'(True) then
      Put_Line("True = True");
   else
      Put_Line("True = False");
   end if;

   if a5 then
      Put_Line("a5 = True");
   else
      Put_Line("a5 = False");
   end if;
   
end Bool_Test;
